GNU Binutils Binary File Descriptor库缓冲区错误漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1133125 漏洞类型 缓冲区错误
发布时间 2017-10-16 更新时间 2019-10-23
CVE编号 CVE-2017-15020 CNNVD-ID CNNVD-201710-379
漏洞平台 N/A CVSS评分 6.8
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201710-379
|漏洞详情
GNU Binutils(又名GNU Binary Utilities或binutils)是GNU计划开发的一组编程语言工具程序,它主要用于处理多种格式的目标文件,并提供有连接器、汇编器和其他用于目标文件和档案的工具。Binary File Descriptor(BFD)library(又名libbfd)是其中的一个以各种格式便携式操作对象文件的库。 GNU Binutils 2.29版本中的BFD库的dwarf1.c文件存在安全漏洞。远程攻击者可借助特制的ELF文件利用该漏洞造成拒绝服务(应用程序崩溃)。
|参考资料

来源:MISC
链接:https://blogs.gentoo.org/ago/2017/10/03/binutils-heap-based-buffer-overflow-in-parse_die-dwarf1-c/
来源:MISC
链接:https://sourceware.org/bugzilla/show_bug.cgi?id=22202
来源:MISC
链接:https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=1da5c9a485f3dcac4c45e96ef4b7dae5948314b5